## jackaudiosrc jackaudiosrc — Captures audio from a JACK server |

## Synopsis

    struct              GstJackAudioSrc;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSrc
                               +----GstPushSrc
                                     +----GstAudioBaseSrc
                                           +----GstJackAudioSrc

## Properties

      "client"                   JackClient*           : Read / Write
      "connect"                  GstJackConnect        : Read / Write
      "server"                   gchar*                : Read / Write
      "client-name"              gchar*                : Read / Write
      "transport"                GstJackTransport      : Read / Write

## Description

## Synopsis

### Element Information

plugin | jack
author | Tristan Matthews <tristan@sat.qc.ca>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)F32LE, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Details

### struct GstJackAudioSrc

    struct GstJackAudioSrc;

## Property Details

### The `"client"` property

      "client"                   JackClient*           : Read / Write

Handle for jack client.

### The `"connect"` property

      "connect"                  GstJackConnect        : Read / Write

Specify how the input ports will be connected.

Default value: Automatically connect ports to physical ports

### The `"server"` property

      "server"                   gchar*                : Read / Write

The Jack server to connect to (NULL = default).

Default value: NULL

### The `"client-name"` property

      "client-name"              gchar*                : Read / Write

The client name of the Jack instance (NULL = default).

Default value: NULL

### The `"transport"` property

      "transport"                GstJackTransport      : Read / Write

Jack transport behaviour of the client.